Subject: Re: Ethernet CRC questions

From: Ben Hutchings <[email-masked]>
Date: Wed, 30 Dec 2009 11:37:13 +0100

On Wed, 2009-12-30 at 13:53 +0800, thomas yang wrote:
> 2009/12/30 Ben Hutchings <[email-masked]>:
> > On Wed, 2009-12-30 at 01:17 +0800, thomas yang wrote:
> >> How does Linux  generate Ethernet CRC ?
> >> by the hardware (Ethernet controller)  or  use crc32_le() /
> >> crc32_be()     ( lib/crc32.c )  ?
> >>
> >> P.S.   my  network card is  rtl8139d  , use  8139too driver
> >
> > The Ethernet frame CRC is normally generated and verified in hardware.
> > These library functions are needed for the few MACs that don't, or where
> > the same CRC function is used for some other purpose (e.g. as a hash
> > function for multicast filtering).
> >
> 
> Does the Ethernet frame CRC (generate and verify in hardware)  make
> the TX / RX  rate  a little smaller , and a longer end-to-end  delay ?

Relative to what?

>  Could I disable CRC appending / verifying  in the network card driver
>   on all of my nodes (machines) ?

Maybe if you want switches to discard everything you send...

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.